/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

//Create SQL query
var getAccountsTransactionsStatement = WL.Server.createSQLStatement( 
	"SELECT transactionId, fromAccount, toAccount, transactionDate, transactionAmount, transactionType " + 
	"FROM accounttransactions " + 
	"WHERE accounttransactions.fromAccount = ? OR accounttransactions.toAccount = ? " +
	"ORDER BY transactionDate DESC " + 
	"LIMIT 20;"
);

//Invoke prepared SQL query and return invocation result	
function getAccountTransactions1(accountId){
	return WL.Server.invokeSQLStatement({
		preparedStatement : getAccountsTransactionsStatement,
		parameters : [accountId, accountId]
	});
}


//Invoke stored SQL procedure and return invocation result
function getAccountTransactions2(accountId){
	return WL.Server.invokeSQLStoredProcedure({
		procedure : "getAccountTransactions",
		parameters : [accountId]
		
	});
}


